get SDL 2.4.x into Debian #110

Closed
kthakore opened this Issue Jul 26, 2011 · 3 comments

Comments

Projects
None yet
3 participants
@kthakore
Owner

kthakore commented Jul 26, 2011

In order to get 2.4 into Debian, we need the other packages in Debian that use libsdl-perl to be ported to the new API. These are frozen-bubble and pangzero.

For Frozen Bubble, we need a new release to CPAN, and it needs to have a version number higher than 2.2.0 (which is what the old author's version was).

Pangzero just needs to be ported to the API.

pangzero can be found here: http://apocalypse.rulez.org/pangzero

Before I upload the new libsdl-perl, I will need a new FrozenBubble release on CPAN and a patch that ports pangzero.

Also, Debian will be freezing in a couple of weeks. So we need this done before then if we want to get the new SDL into Debian Squeeze.

@ghost ghost assigned kthakore Jul 26, 2011

@dod38fr

This comment has been minimized.

Show comment Hide comment
@dod38fr

dod38fr Oct 9, 2011

Member

This issue is tracked on Debian BTS (bug tracking system) :

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=592998

All the best

Member

dod38fr commented Oct 9, 2011

This issue is tracked on Debian BTS (bug tracking system) :

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=592998

All the best

@FROGGS

This comment has been minimized.

Show comment Hide comment
@FROGGS

FROGGS Oct 9, 2011

Owner

Hi, in case you dont know, our progress can be seen here: https://github.com/kthakore/pangzero/tree/split_to_modules/

There are still some issues we need to track down.

But I guess we get it done in october.

Cheers, Tobias

Owner

FROGGS commented Oct 9, 2011

Hi, in case you dont know, our progress can be seen here: https://github.com/kthakore/pangzero/tree/split_to_modules/

There are still some issues we need to track down.

But I guess we get it done in october.

Cheers, Tobias

@dod38fr

This comment has been minimized.

Show comment Hide comment
@dod38fr

dod38fr Aug 4, 2013

Member

Cleaning up. This bug has been resolved a while ago. SDL-perl, frozen-bubble and pangzero are up-to-date in Debian.

Member

dod38fr commented Aug 4, 2013

Cleaning up. This bug has been resolved a while ago. SDL-perl, frozen-bubble and pangzero are up-to-date in Debian.

@dod38fr dod38fr closed this Aug 4, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment